Bug 179240 - [MAINTAINER] devel/py-ice: update to 3.5.0
Summary: [MAINTAINER] devel/py-ice: update to 3.5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-03 00:30 UTC by Michael Gmelin
Modified: 2013-06-17 12:52 UTC (History)
0 users

See Also:


Attachments
py27-Ice-3.5.0.patch (49.67 KB, patch)
2013-06-03 00:30 UTC, Michael Gmelin
no flags Details | Diff
py_ice_350_20130613.patch (50.42 KB, patch)
2013-06-13 10:54 UTC, Michael Gmelin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Gmelin 2013-06-03 00:30:00 UTC
- Update to 3.5.0

Note: The PR system is mangling UTF-8 encoded patches (see PR
www/172195), so the attached is most likely corrupted.  You can
download a clean version of the patch at:

http://blog.grem.de/py_ice_350_20130602.patch or
http://blog.grem.de/py_ice_350_20130602.patch.gz

This patch depends in upgrading devel/ice first, please 
see PR ports/179233:

http://www.freebsd.org/cgi/query-pr.cgi?pr=179233

Besides the new features implemented upstream, this update explicitely
handles:

- Optional Python 3 support (Python 2 still works ok)
- plist pkgng compatibility


Added file(s):
- files/patch-cpp-include-IceUtil-Config.h

Generated with FreeBSD Port Tools 0.99_6 (mode: update, diff: suffix)
Comment 1 Edwin Groothuis freebsd_committer 2013-06-03 00:30:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Ruslan Makhmatkhanov freebsd_committer 2013-06-10 09:31:20 UTC
Responsible Changed
From-To: freebsd-python->rm

I will take it.
Comment 3 Michael Gmelin 2013-06-13 10:54:02 UTC
The distribution file changed upstream, so I adapted distinfo.

Please find attach the complete new patch, which - to circumvent PR
system problems - is also available at:

http://blog.grem.de/py_ice_350_20130613.patch
http://blog.grem.de/py_ice_350_20130613.patch.gz


-- 
Michael Gmelin
Comment 4 Ruslan Makhmatkhanov freebsd_committer 2013-06-17 12:52:53 UTC
State Changed
From-To: open->closed

Committed, thank you!